Subject: bug#1849: Windows 7 Taskbar Support

From: Stefan Kangas <[email-masked]>
Date: Sun, 19 Sep 2021 09:20:43 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Lars Ingebrigtsen <[email-masked]>
>> Date: Mon, 29 Feb 2016 15:20:15 +1100
>> Cc: [email-masked]
>>
>> > It seems that this is only partially done.  Emacs, emacsclient and
>> > runemacs are setting the AppUserModel ID consistently, so when running
>> > their windows will group together. But there are two remaining changes
>> > before this can be considered complete:
>> >
>> > 1. Set the AppUserModel ID on the shortcut created by addpm.exe, so
>> > dragging the shortcut to the taskbar will work as expected (pinned
>> > shortcut grouped with windows of running emacs).
>> >
>> > 2. Set the AppUserModel RelaunchCommand property of Emacs windows to
>> > "runemacs.exe" so that pinning an running Emacs instance works as expected
>> > (launch via runemacs.exe so the command window does not show).
>> >
>> > Unfortunately both of these require directly using the IPropertyStore
>> > interface, which is only available on Windows versions since Vista, and
>> > is missing from current mingw32 headers, so a significant amount of
>> > reverse engineering system headers will be involved.
>>
>> This was four years ago.  Has this been fixed in the meantime?
>
> No, and it probably never will be.

That was five years ago.  Presumably, if it will never be fixed, life
will move on and Windows 7 will be left on the dustbin of history.

Should we just go ahead and close this as wontfix?  Lars?